package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum AuditModeEnum {

    // 人工审核、自动审核
    MANUAL_AUDIT("人工审核", "0"), AUTO_AUDIT("自动审核", "1");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static String getName(String value) {
        AttributeCompletionEnum[] enums = AttributeCompletionEnum.values();

        for (AttributeCompletionEnum attributeCompletionEnum : enums) {
            if (attributeCompletionEnum.getValue().equals(value)) {
                return attributeCompletionEnum.getName();
            }
        }
        return "";
    }

}
