package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum HandlingTimeUnitEnum {

    // 办理时限单位 0 工作时 1紧急工作时 2工作日 3分钟

    WORK_TIME("工作时", "0"), EMERGENCY_WORK_TIME("紧急工作时", "1"), WORK_DAY("工作日", "2"), MINUTE("分钟", "3");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static HandlingTimeUnitEnum getByValue(String keyword) {
        HandlingTimeUnitEnum[] enums = values();
        for (HandlingTimeUnitEnum item : enums) {
            if ((item.value).equalsIgnoreCase(keyword)) {
                return item;
            }
        }
        return null;
    }

}
