package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * <p>
 *
 * </p>
 *
 * @author liyl
 * @since 2023/12/25 16:19
 */
@Getter
@RequiredArgsConstructor
public enum OperationFilterOptionTypeEnum {

    EXTEND_CLASS("全部类别", "extendClass"), EXTEND_ADDRESS("全部区域", "extendAddress"),
    COLLECTION_MODE("采集方式", "collectionMode");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static String getName(String value) {
        OperationFilterOptionTypeEnum[] enums = OperationFilterOptionTypeEnum.values();

        for (OperationFilterOptionTypeEnum typeEnum : enums) {
            if (typeEnum.getValue().equals(value)) {
                return typeEnum.getName();
            }
        }

        return "/";
    }

    public static String getValue(String name) {
        OperationFilterOptionTypeEnum[] typeEnums = values();
        for (OperationFilterOptionTypeEnum typeEnum : typeEnums) {
            if ((typeEnum.name).equals(name)) {
                return typeEnum.getValue();
            }
        }
        return null;
    }

}
