package com.hncy.sjdz.base.mapper;

import com.hncy.sjdz.base.models.entity.ResponsibilityGridDivision;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author tyz
* @description 针对表【responsibility_grid_division(责任网格划分)】的数据库操作Mapper
* @createDate 2024-11-13 15:07:09
* @Entity com.hncy.sjdz.base.models.entity.ResponsibilityGridDivision
*/
@Mapper
public interface ResponsibilityGridDivisionMapper extends BaseMapper<ResponsibilityGridDivision> {

	/**
	 * 获取用户负责的网格
	 * @param userId 用户id
	 * @return 网格代码
	 */
	List<String> getMyGridCodes(String userId);
}




