package com.hncy.sjdz.base.mapper;

import com.hncy.sjdz.base.models.entity.SjdzMajorProject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hncy.sjdz.base.models.vo.MajorProjectYearStatisticsVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author tyz
* @description 针对表【sjdz_major_project(数据底座-重大项目信息)】的数据库操作Mapper
* @createDate 2024-11-12 15:36:57
* @Entity com.hncy.sjdz.base.models.entity.SjdzMajorProject
*/
@Mapper
public interface SjdzMajorProjectMapper extends BaseMapper<SjdzMajorProject> {

    List<MajorProjectYearStatisticsVO> getThisYearMajorProject();
}




