package com.hncy.sjdz.base.service;

import com.hncy.sjdz.base.models.entity.CzzyResourceInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author tyz
* @description 针对表【czzy_resource_info(处置资源信息表)】的数据库操作Service
* @createDate 2024-11-13 16:41:40
*/
public interface CzzyResourceInfoService extends IService<CzzyResourceInfo> {

	/**
	 * 获取网格内处置资源数量
	 * @param gridCodes 网格代码
	 * @param resourceType 资源类型
	 * @return 资源数量
	 */
	Integer getResourcesCount(List<String> gridCodes, String resourceType);
}
