package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 附件类型枚举 处置前、处置后、结案
 *
 * @author tyangzhou
 */
@Getter
@RequiredArgsConstructor
public enum AnnexTypeEnum {

    ANNEX_TYPE_PREPARE("处置前", "10"), ANNEX_TYPE_AFTER("处置后", "70"), ANNEX_TYPE_CLOSED("结案", "90");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

}
