package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author tyangzhou
 */
@Getter
@RequiredArgsConstructor
public enum CategoryHandleStateEnum {

    // 待处理、已处理、未处理 统一成这3种

    TO_BE_HANDLED("待处理", "0"), HANDLED("已处理", "1"), UNTREATED("未处理", "2");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

}
