package com.hncy.sjdz.constant.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum ConvenienceServiceEnum {

	//1 办事地点 2常见咨询 3政策法规 4交通信息
	BUSINESS_PLACE("办事地点", "1"),
	COMMON_QUESTION("常见咨询", "2"),
	POLICY("政策法规", "3"),
	TRAFFIC_INFO("交通信息", "4");

	private final String name;
	@JsonValue
	private final String value;

	public static String getName(String value) {
		for (ConvenienceServiceEnum enumObj : ConvenienceServiceEnum.values()) {
			if (enumObj.value.equals(value)) {
				return enumObj.name;
			}
		}
		return "";
	}
}
