package com.hncy.sjdz.base.models.entity;


import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 流转记录表
 *
 * @author cp
 * @since 2024-11-07 19:46:53
 */
@Data
@TableName("safety_event_dealing_record")
public class SafetyEventDealingRecord implements Serializable{

    private static final long serialVersionUID=1L;

    /**
     *  主键
     */
    private String id;

    /**
     *  风险事件ID
     */
    private String riskEventId;

    /**
     *  处理人
     */
    private String dealingPeople;

    /**
     *  处理时间
     */
    private String dealingTime;

    /**
     *  备注
     */
    private String remarks;

    /**
     *  处理状态
     */
    private String dealingStatus;

    /**
     *  创建时间
     */
    private String createTime;


	/**
	 *  事件图片
	 */
	private String eventPhotos;


	/**
	 *  流转步骤
	 */
	private String actName;


}