package com.hncy.sjdz.base.models.vo;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.List;
@Accessors(chain = true)
@Data
public class TreeNode {
	String typeCode;
	String typeName;
	String parentCode;

	String total;
	List<TreeNode> children;

	public TreeNode(String typeCode, String typeName, String parentCode,String total) {
		this.typeCode = typeCode;
		this.typeName = typeName;
		this.parentCode = parentCode;
		this.total = total;
		this.children = new ArrayList<>();
	}

	// 添加子节点的方法
	public void addChild(TreeNode child) {
		this.children.add(child);
	}

	// 其他getter和setter方法（如果需要）
}