package com.hncy.sjdz.base.models.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

/**
 * @author zhaoting
 * date  2024/12/3 11:05
 **/
@Data
public class InterfaceVO {

	/**
	 * 接口code
	 */
	@Schema(description="接口code")
	private String typeCode;

	/**
	 * id拼接
	 */
	@Schema(description="id拼接")
	private String id;


	/**
	 * params数据
	 */
	@Schema(description="params数据")
	private Map<String,Object> params ;


	/**
	 * data数据
	 */
	@Schema(description="data数据")
	private Map<String,Object> data ;
}
